OpenNMS API 1.2.9

## org.opennms.web.notification
Class NoticeSentTo

    java.lang.Object
      org.opennms.web.notification.NoticeSentTo

public class NoticeSentTo
extends java.lang.Object

NoticeSentTo Bean, containing data from the usersNotified table for a single user/notice pair.

Field Summary
`java.lang.String` `m_contactInfo` Contact info.
`java.lang.String` `m_media` The type of notification mechanism.
`long` `m_time` Time the notice was sent to the user in milliseconds.
`java.lang.String` `m_userId` User this notice was sent to

Constructor Summary
`NoticeSentTo()` Default Constructor

Method Summary
`java.lang.String` `getContactInfo()`
`java.lang.String` `getMedia()`
`java.util.Date` `getTime()`
`java.lang.String` `getUserId()`
`void` `setContactInfo(java.lang.String contact)`
`void` `setMedia(java.lang.String media)`
`void` `setTime(long time)`
`void` `setUserId(java.lang.String userid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_userId

    public java.lang.String m_userId

  User this notice was sent to

### m_time

    public long m_time

  Time the notice was sent to the user in milliseconds.

### m_contactInfo

    public java.lang.String m_contactInfo

  Contact info.

### m_media

    public java.lang.String m_media

  The type of notification mechanism.

Constructor Detail

### NoticeSentTo

    public NoticeSentTo()

  Default Constructor

Method Detail

### setUserId

    public void setUserId(java.lang.String userid)

### getUserId

    public java.lang.String getUserId()

### setTime

    public void setTime(long time)

### getTime

    public java.util.Date getTime()

### setMedia

    public void setMedia(java.lang.String media)

### getMedia

    public java.lang.String getMedia()

### setContactInfo

    public void setContactInfo(java.lang.String contact)

### getContactInfo

    public java.lang.String getContactInfo()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.